Subject: Re: [PATCH -mm 2/10][RFC] aio: net use struct socket for io

From: Stephen Hemminger <[email-masked]>
Date: Mon, 15 Jan 2007 21:44:27 -0800

On Mon, 15 Jan 2007 17:54:50 -0800
Nate Diller <[email-masked]> wrote:

> Remove unused arg from socket operations
> 
> The sendmsg and recvmsg socket operations take a kiocb pointer, but none of
> the functions actually use it.  There's really no need even theoretically,
> it's really quite ugly having it there at all.  Also, removing it will pave
> the way for a more generic completion path in the file_operations.
> 
> ---

Would getting rid of these make later implementation of AIO networking
harder?